/*
 * Copyright (c) 2016 Samsung Electronics Co., Ltd
 *
 * Licensed under the Flora License, Version 1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://floralicense.org/license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#if !defined(_VIEW_H)
#define _VIEW_H

#include <Evas.h>
#include <Elementary.h>

typedef bool (*get_display_language_cb)(const char *locale, char **display_language);

Eina_Bool view_create(void *user_data);
Evas_Object *view_create_win(const char *pkg_name);
Evas_Object *view_create_conformant(Evas_Object *parent);
Evas_Object *view_create_layout(Evas_Object *parent, const char *edj_file_name, const char *edj_group);
Evas_Object *view_create_set_layout(Evas_Object *parent, const char *edj_file_name, const char *edj_group, const char *target_part_name);
Evas_Object *view_create_image(Evas_Object *parent, char *file_path, const char *part_name);
Evas_Object *view_create_box(Evas_Object *parent);
Evas_Object *view_create_scroller(Evas_Object *parent, const char *target_part_name);
void view_set_callback(get_display_language_cb get_language_cb);
void view_set_startup_language(char *locale);
void view_change_language(char *locale);
bool view_add_locale(const char *locale);
void view_destroy(void);

void view_TEST_add_empty_item(void);

#endif
